Bug 460251 (CVE-2008-3527) - CVE-2008-3527 kernel: missing boundary checks in syscall/syscall32_nopage()
Summary: CVE-2008-3527 kernel: missing boundary checks in syscall/syscall32_nopage()
Status: CLOSED ERRATA
Alias: CVE-2008-3527
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=secalert,repo...
Keywords: Security
Depends On: 460275 460276
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-27 04:25 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 12:34 UTC (History)
10 users (show)

(edit)
Tavis Ormandy reported missing boundary checks in the Virtual Dynamic Shared Objects (vDSO) implementation. This could allow a local unprivileged user to cause a denial of service or privilege escalation. (CVE-2008-3527, Important)
Clone Of:
(edit)
Last Closed: 2010-12-21 17:24:17 UTC


Attachments (Terms of Use)
Upstream patch for this issue (3.60 KB, patch)
2008-11-04 08:33 UTC, Eugene Teo (Security Response)
no flags Details | Diff
Proposed backported patch (12.91 KB, patch)
2008-11-04 08:38 UTC, Eugene Teo (Security Response)
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0957 normal SHIPPED_LIVE Important: kernel security and bug fix update 2008-11-12 09:34:44 UTC

Comment 27 Eugene Teo (Security Response) 2008-11-04 08:30:50 UTC
Description of problem:
Tavis Ormandy reported missing boundary checks in the Virtual Dynamic Shared Objects (vDSO) implementation. This could allow a local unprivileged user to cause a denial of service or privilege escalation.

Comment 28 Eugene Teo (Security Response) 2008-11-04 08:33:09 UTC
Proposed upstream patch:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=7d91d531900bfa1165d445390b3b13a8013f98f7

The patch should fix both the i386 and the x86_64/ia32 bits.

Comment 29 Eugene Teo (Security Response) 2008-11-04 08:33:57 UTC
Created attachment 322397 [details]
Upstream patch for this issue

Comment 30 Eugene Teo (Security Response) 2008-11-04 08:38:32 UTC
Created attachment 322399 [details]
Proposed backported patch

Comment 33 Vincent Danen 2010-12-21 17:24:17 UTC
This was addressed via:

Red Hat Enterprise Linux version 5 (RHSA-2008:0957)


Note You need to log in before you can comment on or make changes to this bug.